#dream 1
execute if entity @s[scores={dream_health=1..7}] if dimension nightmare:dream1 run scoreboard players set @s wake_up 3000
execute if entity @s if dimension nightmare:dream1 run effect give @s regeneration 1 1 true
execute if entity @s[scores={wake_up=3010..3010}] if dimension nightmare:dream1 at @s run summon potion ~ ~3 ~ {Item:{id:"minecraft:splash_potion",Count:1b,tag:{Potion:"minecraft:water"}}}
execute if entity @s if dimension nightmare:dream1 if block ~ ~ ~ lava run effect give @s wither 1 1 true
execute if entity @s if dimension nightmare:dream1 if block ~ ~-1 ~ lava run effect give @s wither 1 1 true
execute if entity @s if dimension nightmare:dream1 unless block ~ ~-1 ~ air unless block ~ ~-1 ~ lava run setblock ~ ~ ~ lava
execute if entity @s if dimension nightmare:dream1 run kill @e[type=item,distance=1..]

#dream 2
execute if entity @s if dimension nightmare:dream2 if block ~ ~-1 ~ water run tp @s ~ ~-1 ~
execute if entity @s if dimension nightmare:dream2 if block ~ ~ ~ air run tp @s ~ ~-1 ~
execute if entity @s[scores={dream_health=1..5}] if dimension nightmare:dream2 if block ~ ~ ~ water run effect give @s water_breathing 1 1 true
execute if entity @s[scores={dream_health=1..8}] if dimension nightmare:dream2 if block ~ ~ ~ water run scoreboard players set @s wake_up 2999
execute if entity @s[scores={wake_up=2999..}] if dimension nightmare:dream2 run scoreboard players add @s wake_up 1

#dream 3
execute if entity @s[scores={wake_up=3000..}] run kill @e[type=phantom]
execute if entity @s if dimension nightmare:dream3 if block ~ ~ ~ air unless block ~ ~-1 ~ bedrock run tp @s ~ ~-1 ~
execute if entity @s if dimension nightmare:dream3 if block ~ ~ ~ air unless block ~ ~-1 ~ bedrock run effect give @s slow_falling 1 0 true
execute if entity @s[scores={dream_mob=1..1}] if dimension nightmare:dream3 run summon phantom ~ ~7 ~ {Size:64}
execute if entity @s if dimension nightmare:dream3 if block ~ ~-1 ~ bedrock run scoreboard players add @s dream_mob 1
execute if entity @s if dimension nightmare:dream3 if block ~ ~-1 ~ bedrock run effect give @s resistance infinite 255 true
execute if entity @s if dimension nightmare:dream3 if entity @e[type=phantom,nbt={Size:64},distance=..6] run scoreboard players set @s wake_up 3000
execute if entity @s if dimension nightmare:dream3 run effect give @s slowness 1 2 true

#dream 4
execute if entity @s if dimension nightmare:dream4 if score @s dream_pre_effect matches 1.. run scoreboard players add @s dream_effect 1
execute if entity @s[scores={dream_effect=1..}] run scoreboard players reset @s dream_pre_effect
execute if entity @s if dimension nightmare:dream4 if block ~ ~ ~ air unless block ~ ~-1 ~ bricks run tp @s[scores={dream_effect=1}] ~ ~-1 ~
execute if entity @s if dimension nightmare:dream4 if block ~ ~ ~ air unless block ~ ~-1 ~ bricks run effect give @s[scores={dream_effect=1}] slow_falling 1 0 true
execute if entity @s if dimension nightmare:dream4 if block ~ ~-1 ~ bricks run scoreboard players add @s dream_effect 1
execute if entity @s[scores={dream_effect=95..95}] if dimension nightmare:dream4 at @s run playsound entity.generic.explode player @s ~ ~ ~ 1 0.5
execute if entity @s[scores={dream_effect=95..95}] if dimension nightmare:dream4 at @s run particle flash ~ ~ ~ 0 0 0 0 9 force
execute if entity @s[scores={dream_effect=95..95}] if dimension nightmare:dream4 at @s run particle explosion ~ ~ ~ 0 0 0 0 9 force
execute if entity @s if score @s dream_effect matches 100.. if dimension nightmare:dream4 if block ~ ~-1 ~ bricks run scoreboard players set @s wake_up 2910
execute if entity @s if score @s dream_effect matches 100.. if dimension nightmare:dream4 if block ~ ~-1 ~ bricks run tp @s ~ ~200 ~
execute if entity @s if dimension nightmare:dream4 if score @s dream_effect matches 100..100 run scoreboard players reset @s dream_effect
execute if entity @s[scores={dream_effect=1..}] if dimension nightmare:dream4 if block ~ ~-1 ~ bricks at @s run playsound minecraft:block.note_block.iron_xylophone player @s ~ ~ ~ 1 2
execute if entity @s[scores={dream_effect=1..}] if dimension nightmare:dream4 if block ~ ~-1 ~ bricks at @s run playsound minecraft:block.note_block.xylophone player @s ~ ~ ~ 1 0
execute if entity @s if dimension nightmare:dream4 run effect give @s slowness 1 5 true
execute if entity @s if dimension nightmare:dream4 run effect give @s resistance 1 255 true
execute if entity @s if dimension nightmare:dream4 run scoreboard objectives setdisplay sidebar dream_effect

#dream 5
execute if entity @s[scores={dream_pre_effect=50..50}] if dimension nightmare:dream5 run scoreboard players set @s wake_up 2000
execute if entity @s if dimension nightmare:dream5 run effect give @s resistance 1 255 true
execute if entity @s if dimension nightmare:dream5 run effect give @s mining_fatigue 1 2 true
execute if entity @s if dimension nightmare:dream5 at @s run summon item ~ ~2 ~ {PickupDelay:6000,Item:{id:"minecraft:diamond",Count:1b},Tags:["dream_diamond"]}
execute if entity @s if dimension nightmare:dream5 run scoreboard players add @s wake_up 1
execute if entity @s if dimension nightmare:dream5 run scoreboard players add @s dream_pre_effect 1

#dream 6
execute if entity @s[scores={dream_health=..5}] run scoreboard players set @s wake_up 3000
execute if entity @s if dimension nightmare:dream6 if block ~ ~-1 ~ honeycomb_block unless score @s dream_pre_effect matches 40.. at @s run summon bee ~ ~2 ~ {Tags:["dream_bee"]}
execute if entity @s if dimension nightmare:dream6 unless block ~ ~-1 ~ honeycomb_block run effect give @s slow_falling 1 0 true
execute if entity @s if dimension nightmare:dream6 run effect give @s mining_fatigue 1 255 true
execute if entity @s if dimension nightmare:dream6 run effect give @s slowness 1 5 true
execute if entity @s if dimension nightmare:dream6 run effect give @s hunger 1 255 true
execute if entity @s if dimension nightmare:dream6 run scoreboard players add @s wake_up 1
execute if entity @s if dimension nightmare:dream6 if block ~ ~-1 ~ honeycomb_block run scoreboard players add @s dream_pre_effect 1
execute if entity @s if dimension nightmare:dream6 if block ~ ~-1 ~ air run tp @s ~ ~-1 ~
execute if entity @s if dimension nightmare:dream6 run data modify entity @e[tag=dream_bee,limit=1,sort=random] AngryAt set from entity @p UUID
execute if entity @s if dimension nightmare:dream6 run data modify entity @e[tag=dream_bee,limit=1,sort=random] AngerTime set value 100
execute if entity @s if dimension nightmare:dream6 run data modify entity @e[tag=dream_bee,limit=1,sort=nearest] AngryAt set from entity @p UUID
execute if entity @s if dimension nightmare:dream6 run data modify entity @e[tag=dream_bee,limit=1,sort=nearest] AngerTime set value 100
execute if entity @s if dimension nightmare:dream6 run data modify entity @e[tag=dream_bee,limit=1,sort=furthest] AngryAt set from entity @p UUID
execute if entity @s if dimension nightmare:dream6 run data modify entity @e[tag=dream_bee,limit=1,sort=furthest] AngerTime set value 100